template <typename T>
void assembly_mass (const mesh<T>& Th, const std::valarray<size_t>& num,
    		    std::valarray<T>& M) { 
	M.resize (Th.n_internal_vertice());
	M = 0;
	for (size_t l = 0; l < Th.size(); l++) {
	    T area = Th.meas (l);
	    for (size_t r = 0; r < 3; r++) {
	      size_t i = Th [l][r];
	      if (Th.is_internal (i))
		M [num [i]] += area/3;
	    }
	}
}
