#!/bin/sh
if test "$1" = ""; then
    n=1000
else
    n=$1
fi
if test "$2" = ""; then
    factor=100
else
    factor=$2
fi
prog=legendre_gauss_tst
i=2
echo "# $prog"
echo "# N	x2-x1"
tmp=tmp.out
while test $i -le $n; do

    $prog $i > $tmp
    awk -v N_VALUE=$i '
/^#.*/		{ next; }
($1 == "")	{ next; }
($1 == 1)	{
		    x1 = $2;
		    next; 
		}
($1 == 2)	{
		    x2 = $2;
		    print N_VALUE " " x2-x1
		    next; 
		}
	'< $tmp
    i=`echo "$i * $factor" | bc`
done
rm -f $tmp

