#include <valarray>
struct fd_ssor_1d {
	template <typename T>
	std::valarray<T> solve (const std::valarray<T>& b) const;
};
template <typename T>
std::valarray<T> fd_ssor_1d::solve (const std::valarray<T>& b) const {
        std::valarray<T> x (b.size());
	x[0] = b[0]/2;
        for (size_t i = 1; i < x.size(); i++)
            x[i] = b[i] + x[i-1]/2;
        x[x.size()-1] /= 2;
        for (size_t i = x.size()-1; i > 0; i--)
            x[i-1] = (x[i-1] + x[i])/2;
	return x;
}
