#include "ilu.h"
#include "cg.h"
using namespace std;
int main () {
  matrix<double> a;
  cin >> a;
  valarray<double> x(1.0, a.nrow());
  valarray<double> b = a*x;
  valarray<double> xi(0.0, a.nrow());
  ilu<double> precond (a);
  cout << precond;
  cg (a, xi, b, ilu<double>(a), 1000, 1e-14);
  valarray<double> xerr = xi-x;
  double err = norm(xerr);
  cerr << "err   " << err << endl;
  return (err < 1e-7) ? 0 : 1;
}
