#include "newton.h"
#include "j.h"
#include "dj_du.h"
#include "d2j_du2.h"
#include <cmath>
#include <cstdlib>
using namespace std;
int main(int argc, char**argv) {
  double u = (argc > 1) ? atof(argv[1]) :  -2;
  newton (dJ_du(), d2J_du2(), u, 100, 1e-7);
  J j;
  cout << "u    = " << u << endl
       << "J(u) = " << j(u) << endl;
  return 0;
}
