set terminal pslatex auxfile
set output "nodes-10.tex"

set size ratio 0.5   1, 1
set parametric
set trange [0:pi]
set xrange [-1:1]
set yrange [0:1]
set noxtics
set noytics 
set noborder
set arrow from -1,0 to 1,0 nohead lt 1

load "nodes-10.iplot"
load "nodes-tics-10.iplot"

# set label "{$\\xi_1$}" at x1, -0.05
# set label "{$\\xi_2$}" at x2, -0.05
# set label "{$\\xi_5$}" at x5, -0.05
# 
# set label "{$\\theta_1$}" at 1.1*x1, 1.1*sin(acos(x1))
# set label "{$\\theta_2$}" at 1.1*x2, 1.1*sin(acos(x2))
# set label "{$\\theta_5$}" at 1.1*x5, 1.1*sin(acos(x5))

plot \
   	cos(t),sin(t) notitle w l lt 1

#	'legendre_gauss-10.dat' u 2:(sin(acos($2))) notitle w p lt 6 pt 6, \

# pause -1 "<retour>"

