#include "pointer.h"
#include <vector>
#include <iostream>
using namespace std;
class managed_array : public vector<double> {
  public:
    managed_array(size_t n) : vector<double>(n), counter(0) {}
    template <typename M, typename BaseM, typename CountType, 
	CountType BaseM::*count_pointer>
        friend class invasive_counter;
  //protected:
     size_t counter;
};
int main () {
  typedef managed_array M;
  typedef pointer<M, invasive_counter<M,M,size_t,&M::counter> > ptr_t;
  ptr_t a (new managed_array(10));
  (*a)[1] = 1;
  ptr_t b = a;
  (*b)[1] = 2;
  if ((*a)[1] != (*b)[1]) {
     cerr << "erreur: la reference partagee est incorrecte." << endl;
     cerr << "a[1] = " << (*a)[1] << endl;
     cerr << "a[1] = " << (*b)[1] << endl;
     return 1;
  } else {
     return 0;
  }
}
