set terminal latex
set output "singularite-approx-1d.tex"

set xtics nomirror (-1, 0, 1)
set ytics nomirror (0, 1)

plot [-1:1][-0.1:1.1] \
	sqrt(1-x**2) title "[r]{solution exate}" w l lt 1, \
	'fd_adapt_tst-n=40-beta=4.dat' title "[r]{adapt\\'e}" w lp lt 2 pt 10,  \
	'fd_adapt_tst-n=40-beta=1.dat' title "[r]{uniforme}"  w lp lt 2 pt 7

#pause -1 "<retour>"
