template <typename T> struct u_fct {
    T operator() (const T& x) const { return pow (1-x*x, a); }
    u_fct (const T& alpha) : a(alpha){}
    T a;
};
template <typename T> struct u_fct<T> u (const T& a) { return u_fct<T>(a); }

template <typename T> struct f_fct { 
    T operator() (const T& x) const { 
      return (x*x == 1) ? 0 : 2*a*(pow (1-x*x, a-1) - 2*(a-1)*x*x*pow (1-x*x, a-2)); }
    f_fct (const T& alpha) : a(alpha){}
    T a;
};
template <typename T> struct f_fct<T> f (const T& a) { return f_fct<T>(a); }

template <typename T>
T chi (const T& b, const T& t) { return (b*t - 1 - pow (t, b) + pow(1-t, b))/(b-2); }
