set terminal latex
set output "examen-2005-figb.tex"

set size ratio 1 1, 1
set xtics (0, 1, 2)
set ytics (0, 100, 200)

F(x) = exp(x*x)
G(x) = x*F(x)*sin(F(x))

plot [0:2] G(x) title "[r]{$G(u)=xe^{x^2}\\sin\\left(e^{x^2}\\right)$}"


#pause -1 "<retour>"

