BEGIN {
	# calcule lors d'un precedent calcul
	x_moy_ma   	  = 13.2143;
	x_moy_imsn        =  4.28571;
	x_sigma_ma        =  5.60612;
	x_sigma_imsn      =  8.79935;
	
	# ce que on veut :
	new_moy_ma 	  = 13.2143;
	new_moy_imsn      =  9.2857;
	new_sigma_ma      =  5.60612;
	new_sigma_imsn    =  3.09935;

	sum_ma = 0;
	sum_imsn = 0;
	n_ma = 0;
	n_imsn = 0;
    }
($1 == "") { next; }
($1 == "ma") { 
	if ($4 != "absent") {
	    n_ma++;
	    ma[n_ma] = $4;
	    sum_ma += $4;
	    print $1 " " $2 " " $3 " " (ma[n_ma]-x_moy_ma)/x_sigma_ma;
	} else {
	    print $0;
	}
	next;
	}
($1 == "imsn") { 
	n_imsn++;
	imsn[n_imsn] = $4;
	sum_imsn += $4;
	c_note = (imsn[n_imsn]-x_moy_imsn)/x_sigma_imsn;
	new_note = new_moy_imsn + new_sigma_imsn*c_note;
	print $1 " " $2 " " $3 " " new_note;
	next;
	}
($1 == "#") { next; }
END {
	moy_ma = sum_ma/n_ma;
	moy_imsn = sum_imsn/n_imsn;
	print "moy_ma	= " moy_ma;
	print "moy_imsn	= " moy_imsn;
	
	sigma_ma = 0;
	for (i = 1; i <= n_ma; i++) {
	    x = (moy_ma - ma[i]);
	    sigma_ma += x*x;
        }
	sigma_ma = sqrt(sigma_ma);
	print "sigma_ma	= " sigma_ma;
	
	sigma_imsn = 0;
	for (i = 1; i <= n_imsn; i++) {
	    x = (moy_imsn - imsn[i]);
	    sigma_imsn += x*x;
        }
	sigma_imsn = sqrt(sigma_imsn);
	print "sigma_imsn	= " sigma_imsn;
	}
