template <typename T>
std::valarray<T> interpolate (const mesh<T>& Th, T (*v)(const point<T>&)) {
	std::valarray<T> vh (Th.n_vertice());
	for (size_t i = 0; i < Th.n_vertice(); i++)
	    vh [i] = v (Th.vertice (i));
	return vh;
}
