#include "polynom.h"
template <typename T>
void div(const polynom<T>& a, const polynom<T>& b, polynom<T>& q, polynom<T>& r) {
  symbol X;
  q = 0;
  r = a;
  int d = 0;
  while (r.degree() != -1 && (d = r.degree() - b.degree()) >= 0) {
    polynom<T> t = lc(r)/lc(b)*pow<T>(X,d);
    q = q + t;
    r = r - b*t;
  }
}
