#include "sqr.h"
template <typename T> T pythag(T a, T b) {
        T absa = fabs (a);
        T absb = fabs (b);
        if (absa > absb)     return absa*sqrt (1.0 + sqr (absb/absa));
        return (absb == 0.0 ? 0.0 : absb*sqrt (1.0 + sqr (absa/absb)));
}
