#include <string>
#include <iostream>
template <typename Matrix>
void show_matrix (const std::string& name, const Matrix& m, std::ostream& os = std::cout) {
	os << name << " = zeros (" << m.nrow() << "," << m.ncol() << ");\n";
	for (size_t i = 0; i < m.nrow(); i++)
	    for (size_t j = 0; j < m.ncol(); j++)
	      os << name << "(" << i+1 << "," << j+1 << ") = " << m (i,j) << ";\n";
}
