function [aa,ia,ja]=sp2csr( s, row, col )

nz = length(s);
nrow = max(row);
aa=zeros(1,nz);
ja=zeros(1,nz);
ia=zeros(1,nz+1);

%
% Lajitellaan kolmikot (aij,i,j) rivi-indeksin i mukaan 
% nousevaan jrjestykseen. Tllin rivit sijaitsevat taulokossa perkkin!
%

[ia,idx]=sort(row);
ja = col(idx);
aa  = s(idx);

%
% Rivi-indeksin vaihtuminen kertoo mist alkaa uusi rivi:
%         

ia(1) = 1;
for irow=1:nrow-1
  for j=ia(irow)+1:nz
    if ia(j) ~= irow 
      ia(irow+1) = j;
      break;
    end
  end
end
ia(nrow+1) = nz + 1;
ia=ia(1:nrow+1);

%
% Lajitellaan lopuksi kunkin rivin alkiot sarakeindeksin mukaiseen
% kasvavaan jrjestykseen. 
% (Tm ei ole vlttmtnt, mutta usein hydyllinen ominaisuus
% esim. pohjustuksen yhteydess)
%

for irow=1:nrow
  ibgn = ia(irow);
  iend = ia(irow+1)-1;
  [jj,idx] = sort( ja(ibgn:iend) );
  ja(ibgn:iend) = jj;
  tmp = aa(ibgn:iend);
  aa(ibgn:iend) = tmp(idx);
end
