#ifndef _COURS_TQLI_H
#define _COURS_TQLI_H
//
//          [  d(1) e(1)        ...........     ]
//          [  e(1) d(2)  e(2)  ...........     ]
//  A_N  =  [                                   ]
//          [                                   ]
//          [  ........         d(n-1) e(n-1)   ]
//          [  ........         e(n-1) d(n)     ]
//
// references: 
//	W. H. Press and S. A. Teukolsky and W. T. Vetterling and B. P. Flannery
//	Numerical recepies in C, second edition
//	Cambridge university press
//	1994
//	function tqli, p. 480
//
// function tqli (indices are zero based for convenience)
//
// input:
//	d[0:n-1] 	: the diagonal
//	e[0:n-2]	: the subdiagonal (not modified)
//
// output:
//	d[0:n-1]	: the eigenvalues
//
#include "tqli.h"
#include "tqli_wrap.icc"

#endif // _COURS_TQLI_H
