#include "sqr.h"
template <typename T> struct u_fct {
	T operator() (const T& x) const {
            return (1-sqr(x))*(1-cos(k*x)-sin(k)*sin(k*x))/sqr(k); }
	u_fct (const T& k0) : k(k0){}
	T k;
};
template <typename T> struct u_fct<T> u (const T& k) { return u_fct<T>(k); }
template <typename T> struct f_fct {
	T operator() (const T& x) const {
            return (sqr(k)*sin(k)*sqr(x)*sin(k*x) + 4*k*x*sin(k*x) - sqr(k)*sin(k)*sin(k*x)
            - 2*sin(k)*sin(k*x) + sqr(k*x)*cos(k*x) - 4*k*sin(k)*x*cos(k*x) - sqr(k)*cos(k*x)
            - 2*cos(k*x) + 2)/sqr(k); }
	f_fct (const T& k0) : k(k0){}
	T k;
};
template <typename T> struct f_fct<T> f (const T& k) { return f_fct<T>(k); }
